// Theming for video page

.comment-threads {
    max-height: 100vh - $menu-bar-height;
    overflow-y: auto;
}

.video-play-area {
    min-height: 65vh - $menu-bar-height;
    max-height: 65vh - $menu-bar-height;
}

.video-timeline-area {
    min-height: 35vh;
    max-height: 35vh;
    overflow-x: scroll;
    overflow-y: scroll;
}

.video-container {
    height: 85%;
    margin: 1rem 0;
    text-align: center;

    #video-vis {
        position: absolute;
        z-index: 2;
        display: inline-block;
    }

    #video {
        height: 100%;
        position: relative;
        z-index: 1;
    }
}

.video-transport {
    height: 10%;
    width: 100%;

    i {
        font-size: inherit;
    }

    #vid-slider {
        margin-left: 0.5rem; 
        width: 90%;
    }
}


.slider {
    -webkit-appearance: none; 
    appearance: none;
    height: 0.8rem;
    border-radius: 2rem; 
    background: $grey-5; 
    outline: none; 
}

/* (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */ 
.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 1.2rem;
    height: 1.2rem;
    border-radius: 100%; 
    background: $grey-3;
    cursor: pointer; 
}

.slider::-moz-range-thumb {
    width: 1.2rem;
    height: 1.2rem;
    border-radius: 100%; 
    background: $grey-3;
    cursor: pointer;
}

.timeline-bg {
    fill: $grey-1;
}

.object-header {
    fill: $grey-2;
    fill-opacity: 0.8;
}

// Video Tags //

.bbox-text {
    font: 11px sans-serif;
    fill: white;
    fill-opacity: 1;
    paint-order: stroke;
    stroke: black;
    stroke-width: 3px;
}

.bbox-box {
    fill: transparent;
    stroke-width: 0.2rem;
    stroke-opacity: 0.5;
}

.bbox-label {
    stroke-width: 0;
    fill-opacity: 0.6;
}
